#!/usr/bin/env ruby

require "Canny"

# Template and compile directories should be outside your
# webroot if serving web pages.
C = Canny.new
C.template_dir = 'templates'
C.compile_dir = 'templates_c'

name = 'Canny user'

people = [
		{'name' => 'John Doe', 'city' => 'New York', 'zip' => '10000'},
		{'name' => 'Jane Doe', 'city' => 'Los Angeles', 'zip' => '90000'},
	 ]

fruits = ['Apple', 'Orange', 'Banana', 'Strawberry', 'Cherry', 'Lemon', 'Lime']

def my_modifier(str, params=[])
	if params[0] == 'pie'
		str += " Pie"
	elsif params[0] == "smoothie"
		str += " Smoothie"
	else
		str
	end
end

Canny.register_modifier('my_modifier', 'my_modifier')

C.assign('name', name)
C.assign('people', people)
C.assign('fruits', fruits)

C.display('example.tpl')
