#!/usr/bin/env ruby

require "Canny"

C = Canny.new
C.template_dir = 'templates'
C.compile_dir = 'templates_c'

people = [
		{'name' => 'John Doe', 'city' => 'New York', 'zip' => '10000'},
		{'name' => 'Jane Doe', 'city' => 'Los Angeles', 'zip' => '90000'},
	 ]

fruit = ['Apple', 'Orange', 'Banana', 'Strawberry', 'Cherry', 'Lemon', 'Lime']

a_string = "This is much nicer to the programmers. I like being nice to them. --matz"

def my_swapcase(str)
	str.swapcase
end

Canny.register_modifier('swapcase', 'my_swapcase')

C.assign('people', people)
C.assign('fruit', fruit)
C.assign('yes', true)
C.assign('maybe', 'a true value')
C.assign('a_string', a_string)
C.assign('a_number', 20.345)
C.assign('a_tagged_string', '<span style="font-size:large;">Headline</span>')

C.display('test.tpl')
